import { FormField } from '../form_field';
import { FormFieldOptions, FormFieldConfig } from '../form_field_config';
export declare class Option<VALUE_T = {}> {
    label: string;
    value: VALUE_T;
    constructor(label: string, value: VALUE_T);
}
export interface ChoiceFieldOptions<OPTION_VALUE_T> extends FormFieldOptions {
    options: Option<OPTION_VALUE_T>[];
    multiple?: boolean;
}
export declare class ChoiceFieldConfig<OPTION_VALUE_T> extends FormFieldConfig {
    options: Option<OPTION_VALUE_T>[];
    multiple: boolean;
    constructor(options: ChoiceFieldOptions<OPTION_VALUE_T>);
    getMultiple(multiple: boolean | undefined): boolean;
}
export declare class ChoiceField<MODEL_T = {}, OPTION_VALUE_T = {}> extends FormField<MODEL_T, FormFieldOptions, ChoiceFieldConfig<OPTION_VALUE_T>> {
    constructor(options: ChoiceFieldOptions<OPTION_VALUE_T>);
    format(value: any): string;
}
