import { CyberUiInteractiveModel } from '../../model/interfaces/interactive_model';
import { CyberUiLiteralModel } from '../../model/interfaces/literal_model';
import { FormField } from '../form_field';
import { FormFieldOptions, FormFieldConfig } from '../form_field_config';
export interface TextFieldOptions extends FormFieldOptions {
    saveOnEnter?: boolean;
}
export declare class TextFieldConfig extends FormFieldConfig {
    saveOnEnter: boolean;
    constructor(options: TextFieldOptions);
    getSaveOnEnter(saveOnEnter: boolean | undefined): boolean;
}
export declare class TextField<MODEL_T extends (CyberUiInteractiveModel | CyberUiLiteralModel)> extends FormField<MODEL_T, FormFieldOptions, FormFieldConfig> {
    constructor(options: TextFieldOptions);
    getNgModelBoundValue(model: MODEL_T): string;
    boundValueChangeHandler(model: MODEL_T, newValue: string): void;
}
