import { FormFieldElement } from './form_field_element.enum';
export interface FormFieldOptions {
    label: string;
    propertyName: string;
    required?: boolean;
    autofocus?: boolean;
    helpText?: string;
    helpDialog?: any;
    element?: FormFieldElement;
}
export declare class FormFieldConfig {
    readonly label: string;
    readonly propertyName: string;
    readonly required: boolean;
    readonly autofocus: boolean;
    readonly helpText: string | undefined;
    readonly helpDialog: any | undefined;
    readonly useMatFormField: boolean;
    readonly element: FormFieldElement;
    constructor(options: FormFieldOptions, supportedElements: FormFieldElement[], defaultElement: FormFieldElement);
    protected getElement(preference: FormFieldElement | undefined, supported: FormFieldElement[], defaultElement: FormFieldElement): FormFieldElement;
    private getRequired;
    private getAutofocus;
    private getUseMatFormField;
}
