import { ChangeDetectorRef, EventEmitter, SimpleChanges, OnChanges } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { FormField } from '../form_field';
import { FormFieldElement } from '../form_field_element.enum';
import { CyberUiInteractiveModel } from '../../model/interfaces/interactive_model';
import { CyberUiLiteralModel } from '../../model/interfaces/literal_model';
export declare class CyberUiFormFieldsComponent<MODEL_T extends (CyberUiInteractiveModel | CyberUiLiteralModel)> implements OnChanges {
    changeDetectorRef: ChangeDetectorRef;
    dialog: MatDialog;
    constructor(changeDetectorRef: ChangeDetectorRef, dialog: MatDialog);
    model: MODEL_T;
    fields: FormField<MODEL_T>[];
    field: FormField<MODEL_T>;
    change: EventEmitter<void>;
    save: EventEmitter<void>;
    readonly elements: typeof FormFieldElement;
    emitSaveAndReturnFalse(): boolean;
    getFields(): any;
    getModelProperty(model: MODEL_T, propertyName: string): any;
    setModelProperty(model: MODEL_T, propertyName: string, value: {}): any;
    ngOnChanges(changes: SimpleChanges): void;
    onNgModelChange(model: MODEL_T, propertyName: string, newValue: {}): void;
    openHelpDialog(cmp: any): void;
}
