import { Observable } from 'rxjs';
import { Task } from './task';
import { TaskProvider, TaskProviderId, TaskProviderGetTasksOptions } from './task_provider';
import { TaskSuggestion } from './task_suggestion';
export interface TaskProviderRegistry<TASK_T extends Task> {
    registerProvider(id: TaskProviderId, provider: TaskProvider<TASK_T>): void;
    getProviders(): TaskProvider<TASK_T>[];
    getTasks(options: TaskProviderGetTasksOptions): Observable<TaskProviderRegistryGetTasksResponse<TASK_T>>;
}
export interface TaskProviderRegistryGetTasksResponse<TASK_T extends Task = Task> {
    suggestions: TaskSuggestion<TASK_T>[];
}
