import { Observable } from 'rxjs';
import { Task } from './task';
import { TaskSuggestion } from './task_suggestion';
export interface TaskSuggestionServiceGetSuggestionsBaseOptions {
    limit?: number;
    deadline?: number;
    reloadSuggestionsAfterWorkflowSettingsChange?: boolean;
    taskProviders?: string[];
}
export interface TaskSuggestionServiceGetSuggestionsBaseResponse<TASK_T extends Task> {
    suggestions: TaskSuggestion<TASK_T>[];
}
export interface TaskSuggestionService<TASK_T extends Task, GET_SUGGESTIONS_OPTIONS_T extends TaskSuggestionServiceGetSuggestionsBaseOptions, GET_SUGGESTIONS_RESPONSE_T extends TaskSuggestionServiceGetSuggestionsBaseResponse<TASK_T>> {
    getSuggestions(options: GET_SUGGESTIONS_OPTIONS_T): Observable<GET_SUGGESTIONS_RESPONSE_T>;
}
