import { Observable } from 'rxjs';
import { Task } from '../interfaces/task';
import { TaskProvider, TaskProviderId } from '../interfaces/task_provider';
import { TaskProviderRegistry, TaskProviderRegistryGetTasksResponse } from '../interfaces/task_provider_registry';
import { CyberUiTaskProviderRegistryGetTasksOptions } from './defs/get_tasks_options';
export declare class TaskProviderRegistryService<TASK_T extends Task = Task> implements TaskProviderRegistry<TASK_T> {
    private providers;
    registerProvider(id: TaskProviderId, provider: TaskProvider<TASK_T>): void;
    getProviders(): TaskProvider<TASK_T>[];
    getTasks(options: CyberUiTaskProviderRegistryGetTasksOptions): Observable<TaskProviderRegistryGetTasksResponse<TASK_T>>;
}
