import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { RegisterTopicsOptions } from './defs/register_topics_options';
import { RegisterTopicsResponse } from './defs/register_topics_response';
import { CyberUiMindfullyAttendToTopicTask } from './defs/task';
import { CyberUiMindfullyAttendToTopicUserResponseEvent } from './defs/user_response_event';
import { CyberUiTopicRegistration } from './topic_registration';
export declare const CYBER_UI_MINDFULLY_ATTEND_TO_TOPIC_TASK_PROVIDER_LABEL = "Mindful attention to topics";
export declare const CYBER_UI_MINDFULLY_ATTEND_TO_TOPIC_TASK_PROVIDER_ID = "CYBER_UI_MINDFULLY_ATTEND_TO_TOPIC_TASK_PROVIDER";
export declare class CyberUiMindfullyAttendToTopicTaskProvider {
    responses: EventEmitter<CyberUiMindfullyAttendToTopicUserResponseEvent<{}>>;
    private topicRegistrations;
    private topicRegistrationsSubject;
    private tasks;
    private primaryActionLabelRandExp;
    private skipActionLabelRandExp;
    private taskLabelRandExp;
    constructor();
    registerTopics(options: RegisterTopicsOptions): RegisterTopicsResponse;
    getTopicRegistrationsCount(): number;
    getTopicRegistrationFromSlug(slug: string): CyberUiTopicRegistration;
    getTopicRegistrations(): Observable<CyberUiTopicRegistration[]>;
    getTasks(): Observable<{
        tasks: CyberUiMindfullyAttendToTopicTask[];
    }>;
    private updateTasks;
    private getActions;
    private getTaskLabelForTopic;
    private getPrimaryActionLabel;
    private getSkipActionLabel;
    static readonly id = "CYBER_UI_MINDFULLY_ATTEND_TO_TOPIC_TASK_PROVIDER";
}
