import { Renderer2 } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { CyberUiSettingsService } from '../settings/service/service';
export declare const DARK_THEME_TEXT_COLOR = "rgba(255, 255, 255, 0.87)";
export declare const LIGHT_THEME_TEXT_COLOR = "rgba(0, 0, 0, 0.87)";
export declare const DARK_THEME_SUBHEADER_COLOR = "rgba(255, 255, 255, 0.54)";
export declare const LIGHT_THEME_SUBHEADER_COLOR = "rgba(0, 0, 0, 0.54)";
export declare const DARK_THEME_LOW_OPACITY_COLOR = "rgba(255, 255, 255, 0.42)";
export declare const LIGHT_THEME_LOW_OPACITY_COLOR = "rgba(0, 0, 0, 0.42)";
export declare class CyberUiThemeService {
    readonly settingsService: CyberUiSettingsService;
    readonly currentThemeIds: ReplaySubject<string>;
    currentThemeId: string;
    topToolbarBackgroundColor: string;
    appBackground: string;
    readonly appBackgroundColor: ReplaySubject<string>;
    readonly matListSubheaderColor: ReplaySubject<string>;
    readonly lowOpacityColor: ReplaySubject<string>;
    readonly textColor: ReplaySubject<string>;
    readonly prominentTextColor: ReplaySubject<string>;
    readonly primaryLinkColor: ReplaySubject<string>;
    constructor(settingsService: CyberUiSettingsService);
    recalculateCachedProperties(settings: any): void;
    getMatListSubheaderColor(settings: any): "rgba(255, 255, 255, 0.54)" | "rgba(0, 0, 0, 0.54)";
    getLowOpacityColor(settings: any): "rgba(255, 255, 255, 0.42)" | "rgba(0, 0, 0, 0.42)";
    getPrimaryLinkColor(settings: any): any;
    getProminentTextColor(settings: any): "white" | "black";
    getTextColor(settings: any): "rgba(255, 255, 255, 0.87)" | "rgba(0, 0, 0, 0.87)";
    getTopToolbarBackgroundColor(settings: any): any;
    getAppBackground(settings: any): string;
    pinActiveThemeClassOnBodyElement(document: Document, renderer: Renderer2): void;
    setCssCustomProperty(propertyName: string, value: string): void;
}
