import { Observable } from 'rxjs';
import { ActiveTimeboxesSnapshot } from './defs/active_timeboxes_snapshot';
import { CancelTimeboxOptions } from './defs/cancel_timebox_options';
import { CancelTimeboxResponse } from './defs/cancel_timebox_response';
import { GetCountdownOptions } from './defs/get_countdown_options';
import { StartTimeboxOptions } from './defs/start_timebox_options';
import { StartTimeboxResponse } from './defs/start_timebox_response';
import { Timebox } from './defs/timebox';
import { TimeboxId } from './defs/timebox_id';
import { AddTimeToTimeboxOptions } from './defs/add_time_to_timebox_options';
export declare class CyberUiTimeboxService {
    private idCounter;
    private readonly boxes;
    private stream;
    private activeTimeboxes;
    private getNewTimeboxId;
    private addTimebox;
    private onTimeboxComplete;
    constructor();
    getActiveTimeboxes(): Observable<ActiveTimeboxesSnapshot>;
    getCountdown(options: GetCountdownOptions): Observable<number>;
    getTimeboxById(id: TimeboxId): Timebox;
    startTimebox(options: StartTimeboxOptions): StartTimeboxResponse;
    cancelTimebox(options: CancelTimeboxOptions): CancelTimeboxResponse;
    addTimeToTimebox(options: AddTimeToTimeboxOptions): {};
}
