import { ComponentFactoryResolver, OnChanges, OnDestroy, SimpleChanges, ViewContainerRef } from '@angular/core';
import { Subscription, Subject } from 'rxjs';
import { FormField } from '../../form/form_field';
import { Task } from '../../task/interfaces/task';
import { TaskSuggestionService } from '../../task/interfaces/task_suggestion_service';
import { TaskSuggestionServiceGetSuggestionsBaseOptions } from '../../task/interfaces/task_suggestion_service';
import { TaskSuggestionServiceGetSuggestionsBaseResponse } from '../../task/interfaces/task_suggestion_service';
import { WorkflowSettingsService } from '../interfaces/workflow_settings_service';
import { CyberUiWorkOnTasksWorkflowService } from './service';
export declare class CyberUiWorkOnTasksWorkflowComponent<TASK_T extends Task = Task, GET_SUGGESTIONS_OPTIONS_T extends TaskSuggestionServiceGetSuggestionsBaseOptions = TaskSuggestionServiceGetSuggestionsBaseOptions, GET_SUGGESTIONS_RESPONSE_T extends TaskSuggestionServiceGetSuggestionsBaseResponse<TASK_T> = TaskSuggestionServiceGetSuggestionsBaseResponse<TASK_T>> implements OnChanges, OnDestroy {
    readonly taskSuggestionService: TaskSuggestionService<TASK_T, GET_SUGGESTIONS_OPTIONS_T, GET_SUGGESTIONS_RESPONSE_T>;
    readonly workflowSettingsService: WorkflowSettingsService<GET_SUGGESTIONS_OPTIONS_T>;
    private readonly resolver;
    readonly service: CyberUiWorkOnTasksWorkflowService;
    getSuggestionsOptions: GET_SUGGESTIONS_OPTIONS_T;
    suggestionsResponse: GET_SUGGESTIONS_RESPONSE_T;
    getSuggestionsSubscription: Subscription;
    tasks: Subject<TASK_T[]>;
    viewContainer: ViewContainerRef;
    displayComponent: any;
    filters: FormField[];
    filterSettings: {};
    constructor(taskSuggestionService: TaskSuggestionService<TASK_T, GET_SUGGESTIONS_OPTIONS_T, GET_SUGGESTIONS_RESPONSE_T>, workflowSettingsService: WorkflowSettingsService<GET_SUGGESTIONS_OPTIONS_T>, resolver: ComponentFactoryResolver, service: CyberUiWorkOnTasksWorkflowService);
    ngOnChanges(changes: SimpleChanges): void;
    loadSuggestions(): void;
    ngOnDestroy(): void;
}
